apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "4"
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:apps/Deployment:hf-suitecrm/suitecrm
      deployment.kubernetes.io/revision: "2"
    creationTimestamp: "2026-06-18T14:55:51Z"
    generation: 2
    labels:
      app: suitecrm
    name: suitecrm
    namespace: hf-suitecrm
    resourceVersion: "87598167"
    uid: cdd69249-ad04-457c-9bb6-56032259eb6d
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: suitecrm
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: suitecrm
      spec:
        containers:
        - env:
          - name: DB_HOST
            valueFrom:
              secretKeyRef:
                key: DB_HOST
                name: suitecrm-secret
          - name: DB_PORT
            valueFrom:
              secretKeyRef:
                key: DB_PORT
                name: suitecrm-secret
          - name: DB_NAME
            valueFrom:
              secretKeyRef:
                key: DB_NAME
                name: suitecrm-secret
          - name: DB_USER
            valueFrom:
              secretKeyRef:
                key: DB_USER
                name: suitecrm-secret
          - name: DB_PASSWORD
            valueFrom:
              secretKeyRef:
                key: DB_PASSWORD
                name: suitecrm-secret
          - name: SITE_URL
            valueFrom:
              secretKeyRef:
                key: SITE_URL
                name: suitecrm-secret
          - name: SUITECRM_AUTO_INSTALL
            value: "1"
          - name: SUITECRM_ADMIN_USER
            valueFrom:
              secretKeyRef:
                key: SUITECRM_ADMIN_USER
                name: suitecrm-secret
          - name: SUITECRM_ADMIN_PASSWORD
            valueFrom:
              secretKeyRef:
                key: SUITECRM_ADMIN_PASSWORD
                name: suitecrm-secret
          - name: SUITECRM_DEMO_DATA
            value: "no"
          - name: SUITECRM_IGNORE_SYSTEM_CHECK_WARNINGS
            value: "1"
          image: docker.io/guerchele/suitecrm:8.10.1
          imagePullPolicy: IfNotPresent
          name: suitecrm
          ports:
          - containerPort: 80
            name: http
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: http
              scheme: HTTP
            initialDelaySeconds: 60
            periodSeconds: 15
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/lib/suitecrm
            name: suitecrm-state
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: suitecrm-state
          persistentVolumeClaim:
            claimName: suitecrm-state-pvc
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2026-06-18T14:55:51Z"
      lastUpdateTime: "2026-06-18T15:03:25Z"
      message: ReplicaSet "suitecrm-6d84847488" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    - lastTransitionTime: "2026-06-18T15:28:11Z"
      lastUpdateTime: "2026-06-18T15:28:11Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:/Service:hf-suitecrm/suitecrm
    creationTimestamp: "2026-06-18T14:54:32Z"
    name: suitecrm
    namespace: hf-suitecrm
    resourceVersion: "87595347"
    uid: 2aace848-8b5e-402a-b8f7-c171ae75b2f8
  spec:
    clusterIP: 10.43.27.45
    clusterIPs:
    - 10.43.27.45
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: http
    selector:
      app: suitecrm
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:/Service:hf-suitecrm/suitecrm-db
    creationTimestamp: "2026-06-18T14:54:32Z"
    name: suitecrm-db
    namespace: hf-suitecrm
    resourceVersion: "87595348"
    uid: 9e4e402c-0283-4137-8ab3-c84a60971579
  spec:
    clusterIP: 10.43.178.246
    clusterIPs:
    - 10.43.178.246
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: mysql
      port: 3306
      protocol: TCP
      targetPort: mysql
    selector:
      app: suitecrm-db
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "1"
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:/PersistentVolumeClaim:hf-suitecrm/suitecrm-db-pvc
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-18T14:54:35Z"
    finalizers:
    - kubernetes.io/pvc-protection
    name: suitecrm-db-pvc
    namespace: hf-suitecrm
    resourceVersion: "87595349"
    uid: efac8d22-d18d-48d8-bb29-bcda35b1f263
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 10Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-efac8d22-d18d-48d8-bb29-bcda35b1f263
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 10Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "1"
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:/PersistentVolumeClaim:hf-suitecrm/suitecrm-state-pvc
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-18T14:54:35Z"
    finalizers:
    - kubernetes.io/pvc-protection
    name: suitecrm-state-pvc
    namespace: hf-suitecrm
    resourceVersion: "87595350"
    uid: 4d1fa1a8-7f1b-4653-beb6-140c9536dcce
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 10Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-4d1fa1a8-7f1b-4653-beb6-140c9536dcce
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 10Gi
    phase: Bound
- apiVersion: external-secrets.io/v1beta1
  kind: ExternalSecret
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "2"
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm-secrets:external-secrets.io/ExternalSecret:hf-suitecrm/suitecrm-secret
    creationTimestamp: "2026-06-18T19:45:32Z"
    generation: 1
    name: suitecrm-secret
    namespace: hf-suitecrm
    resourceVersion: "88086701"
    uid: d1df57e9-ffaf-4f53-b0c3-b77ffc24b3ee
  spec:
    data:
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: DB_HOST
        metadataPolicy: None
      secretKey: DB_HOST
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: DB_PORT
        metadataPolicy: None
      secretKey: DB_PORT
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: DB_NAME
        metadataPolicy: None
      secretKey: DB_NAME
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: DB_USER
        metadataPolicy: None
      secretKey: DB_USER
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: DB_PASSWORD
        metadataPolicy: None
      secretKey: DB_PASSWORD
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: SITE_URL
        metadataPolicy: None
      secretKey: SITE_URL
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: MARIADB_DATABASE
        metadataPolicy: None
      secretKey: MARIADB_DATABASE
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: MARIADB_USER
        metadataPolicy: None
      secretKey: MARIADB_USER
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: MARIADB_PASSWORD
        metadataPolicy: None
      secretKey: MARIADB_PASSWORD
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: MARIADB_ROOT_PASSWORD
        metadataPolicy: None
      secretKey: MARIADB_ROOT_PASSWORD
    refreshInterval: 1h
    secretStoreRef:
      kind: SecretStore
      name: dmz-infisical
    target:
      creationPolicy: Merge
      deletionPolicy: Retain
      name: suitecrm-secret
  status:
    binding:
      name: suitecrm-secret
    conditions:
    - lastTransitionTime: "2026-06-18T19:45:32Z"
      message: Secret was synced
      reason: SecretSynced
      status: "True"
      type: Ready
    refreshTime: "2026-06-22T14:46:15Z"
    syncedResourceVersion: 1-2262f4bddcb1ff2183e103ad9742af43
- apiVersion: apps/v1
  kind: StatefulSet
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "3"
      argocd.argoproj.io/tracking-id: pidoka-hf-suitecrm:apps/StatefulSet:hf-suitecrm/suitecrm-db
    creationTimestamp: "2026-06-18T14:54:37Z"
    generation: 1
    labels:
      app: suitecrm-db
    name: suitecrm-db
    namespace: hf-suitecrm
    resourceVersion: "87595353"
    uid: a4f1def0-61d7-430e-8124-6303be5c9f90
  spec:
    persistentVolumeClaimRetentionPolicy:
      whenDeleted: Retain
      whenScaled: Retain
    podManagementPolicy: OrderedReady
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: suitecrm-db
    serviceName: suitecrm-db
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: suitecrm-db
      spec:
        containers:
        - args:
          - --character-set-server=utf8mb4
          - --collation-server=utf8mb4_unicode_ci
          env:
          - name: MARIADB_ROOT_PASSWORD
            valueFrom:
              secretKeyRef:
                key: MARIADB_ROOT_PASSWORD
                name: suitecrm-secret
          - name: MARIADB_DATABASE
            valueFrom:
              secretKeyRef:
                key: MARIADB_DATABASE
                name: suitecrm-secret
          - name: MARIADB_USER
            valueFrom:
              secretKeyRef:
                key: MARIADB_USER
                name: suitecrm-secret
          - name: MARIADB_PASSWORD
            valueFrom:
              secretKeyRef:
                key: MARIADB_PASSWORD
                name: suitecrm-secret
          image: docker.io/library/mariadb:10.11
          imagePullPolicy: IfNotPresent
          name: mariadb
          ports:
          - containerPort: 3306
            name: mysql
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: mysql
            timeoutSeconds: 1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/lib/mysql
            name: suitecrm-db-storage
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: suitecrm-db-storage
          persistentVolumeClaim:
            claimName: suitecrm-db-pvc
    updateStrategy:
      rollingUpdate:
        partition: 0
      type: RollingUpdate
  status:
    availableReplicas: 1
    collisionCount: 0
    currentReplicas: 1
    currentRevision: suitecrm-db-68cb7d4676
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
    updateRevision: suitecrm-db-68cb7d4676
    updatedReplicas: 1
kind: List
metadata:
  resourceVersion: ""
